Bug 1811708

Summary: Include GNOME 3.36.0 in F32 Beta
Product: [Fedora] Fedora Reporter: Kalev Lember <klember>
Component: distributionAssignee: Josh Boyer <jwboyer>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 32CC: gmarr, kevin
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: AcceptedFreezeException
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-03-13 19:36:53 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1705304    

Description Kalev Lember 2020-03-09 15:26:38 UTC
I'm putting together a GNOME 3.36.0 mega-update, closely following on the heels of last week's 3.35.92 (which was the release candidate for stable 3.36). We accepted 3.35.92 as a FE last week and it got pushed to stable on Friday after positive testing feedback.

If we have enough time in the schedule to include the 3.36.0 mega-update in Beta, it might be a good idea to consider doing so. Including 3.36.0 would mean that Beta testing covers the GNOME release that's as close to as possible to the version that we're going to ship in F32 Final.

The changes between 3.35.92 and 3.36.0 are supposed to be minimal as we've had hard code freeze upstream between 3.35.92 and 3.36.0, with only selected fixes allowed to be committed.

In practice, even though the code freeze has been in place, a few modules (gnome-clocks is one of them) are slightly more exciting because they didn't get any 3.35.x releases and now jump directly from 3.34 to 3.36. This should only be limited to a few select modules however and almost all of core GNOME (shell, control-center etc) should be just select important fixes + translation updates.

I'm filing this ticket purely for FE consideration. Opinions?

Comment 1 Kalev Lember 2020-03-09 16:21:44 UTC
Here's the update (preliminary and I'm still editing it): https://bodhi.fedoraproject.org/updates/FEDORA-2020-ed092680cc

Comment 2 Geoffrey Marr 2020-03-10 00:45:21 UTC
Discussed during the 2020-03-09 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedFreezeException" was made during the blocker review meeting. While this is accepted, we do not intend to actually pull 3.36.0 in if we stay on schedule to sign off Beta this week, but will consider pulling it in if it becomes clear we will not be signing off on Thursday.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-03-09/f32-blocker-review.2020-03-09-16.01.txt

Comment 3 Fedora Update System 2020-03-10 18:05:38 UTC
accerciser-3.36.0-1.fc32, adwaita-icon-theme-3.36.0-1.fc32, at-spi2-core-2.36.0-1.fc32, bijiben-3.36.0-1.fc32, clutter-1.26.4-1.fc32, cogl-1.22.6-1.fc32, dconf-editor-3.36.0-1.fc32, devhelp-3.36.0-1.fc32, eog-3.36.0-1.fc32, epiphany-3.36.0-1.fc32, evince-3.36.0-1.fc32, evolution-3.36.0-1.fc32, evolution-data-server-3.36.0-1.fc32, evolution-ews-3.36.0-1.fc32, evolution-mapi-3.36.0-1.fc32, file-roller-3.36.0-1.fc32, four-in-a-row-3.36.0-1.fc32, gedit-3.36.0-1.fc32, gedit-plugins-3.36.0-1.fc32, geocode-glib-3.26.2-1.fc32, gjs-1.64.0-1.fc32, glib-networking-2.64.0-1.fc32, gnome-2048-3.36.0-1.fc32, gnome-backgrounds-3.36.0-1.fc32, gnome-bluetooth-3.34.1-1.fc32, gnome-boxes-3.36.0-1.fc32, gnome-builder-3.36.0-1.fc32, gnome-calculator-3.36.0-1.fc32, gnome-calendar-3.36.0-1.fc32, gnome-characters-3.34.0-2.fc32, gnome-chess-3.36.0-1.fc32, gnome-clocks-3.36.0-1.fc32, gnome-control-center-3.36.0-1.fc32, gnome-disk-utility-3.36.0-1.fc32, gnome-initial-setup-3.36.0-1.fc32, gnome-klotski-3.36.0-1.fc32, gnome-mahjongg-3.36.1-1.fc32, gnome-maps-3.36.0-1.fc32, gnome-mines-3.36.0-1.fc32, gnome-music-3.36.0-1.fc32, gnome-nibbles-3.36.0-1.fc32, gnome-robots-3.36.0-1.fc32, gnome-screenshot-3.36.0-1.fc32, gnome-session-3.36.0-1.fc32, gnome-settings-daemon-3.36.0-1.fc32, gnome-shell-3.36.0-1.fc32, gnome-shell-extension-background-logo-3.36.0-1.fc32, gnome-shell-extensions-3.36.0-1.fc32, gnome-sudoku-3.36.0-1.fc32, gnome-system-monitor-3.36.0-1.fc32, gnome-taquin-3.36.0-1.fc32, gnome-terminal-3.36.0.1-1.fc32, gnome-tetravex-3.36.0-1.fc32, gobject-introspection-1.64.0-1.fc32, gpaste-3.36.0-1.fc32, gsettings-desktop-schemas-3.36.0-1.fc32, gtksourceview4-4.6.0-1.fc32, gvfs-1.44.0-1.fc32, iagno-3.36.0-1.fc32, java-atk-wrapper-0.38.0-1.fc32, libdazzle-3.36.0-1.fc32, libgnome-games-support-1.6.0.1-1.fc32, libical-3.0.8-1.fc32, libpeas-1.26.0-1.fc32, librsvg2-2.48.0-1.fc32, libsoup-2.70.0-1.fc32, lightsoff-3.36.0-1.fc32, mutter-3.36.0-1.fc32, nautilus-3.36.0-1.fc32, polari-3.36.0-1.fc32, pyatspi-2.36.0-1.fc32, pygobject3-3.36.0-2.fc32, quadrapassel-3.36.00-1.fc32, shotwell-0.31.1-1.fc32, simple-scan-3.36.0-1.fc32, sysprof-3.36.0-1.fc32, tali-3.36.0-1.fc32, tepl-4.4.0-1.fc32, totem-pl-parser-3.26.5-1.fc32, tracker-2.3.4-1.fc32, tracker-miners-2.3.3-1.fc32, vte291-0.60.0-1.fc32, yelp-3.36.0-1.fc32, yelp-xsl-3.36.0-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ed092680cc

Comment 4 Fedora Update System 2020-03-10 21:25:15 UTC
FEDORA-2020-ed092680cc has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ed092680cc

Comment 5 Fedora Update System 2020-03-12 18:48:31 UTC
accerciser-3.36.0-1.fc32, adwaita-icon-theme-3.36.0-1.fc32, at-spi2-core-2.36.0-1.fc32, bijiben-3.36.0-1.fc32, clutter-1.26.4-1.fc32, cogl-1.22.6-1.fc32, dconf-0.36.0-1.fc32, dconf-editor-3.36.0-1.fc32, devhelp-3.36.0-1.fc32, eog-3.36.0-1.fc32, epiphany-3.36.0-1.fc32, evince-3.36.0-1.fc32, evolution-3.36.0-1.fc32, evolution-data-server-3.36.0-1.fc32, evolution-ews-3.36.0-1.fc32, evolution-mapi-3.36.0-1.fc32, file-roller-3.36.0-1.fc32, folks-0.14.0-1.fc32, four-in-a-row-3.36.0-1.fc32, gcr-3.36.0-1.fc32, gedit-3.36.0-1.fc32, gedit-plugins-3.36.1-1.fc32, geocode-glib-3.26.2-1.fc32, gjs-1.64.0-1.fc32, glib-networking-2.64.0-1.fc32, glib2-2.64.1-1.fc32, gnome-2048-3.36.0-1.fc32, gnome-backgrounds-3.36.0-1.fc32, gnome-bluetooth-3.34.1-1.fc32, gnome-boxes-3.36.0-1.fc32, gnome-builder-3.36.0-1.fc32, gnome-calculator-3.36.0-1.fc32, gnome-calendar-3.36.0-1.fc32, gnome-characters-3.34.0-2.fc32, gnome-chess-3.36.0-1.fc32, gnome-clocks-3.36.0-1.fc32, gnome-contacts-3.36-1.fc32, gnome-control-center-3.36.0-1.fc32, gnome-desktop3-3.36.0-1.fc32, gnome-disk-utility-3.36.0-1.fc32, gnome-initial-setup-3.36.0-1.fc32, gnome-keyring-3.36.0-1.fc32, gnome-klotski-3.36.0-1.fc32, gnome-mahjongg-3.36.1-1.fc32, gnome-maps-3.36.0-1.fc32, gnome-menus-3.36.0-1.fc32, gnome-mines-3.36.0-1.fc32, gnome-music-3.36.0-1.fc32, gnome-nibbles-3.36.0-1.fc32, gnome-online-accounts-3.36.0-1.fc32, gnome-robots-3.36.0-1.fc32, gnome-screenshot-3.36.0-1.fc32, gnome-session-3.36.0-1.fc32, gnome-settings-daemon-3.36.0-1.fc32, gnome-shell-3.36.0-3.fc32, gnome-shell-extension-background-logo-3.36.0-1.fc32, gnome-shell-extensions-3.36.0-1.fc32, gnome-software-3.36.0-1.fc32, gnome-sudoku-3.36.0-1.fc32, gnome-system-monitor-3.36.0-1.fc32, gnome-taquin-3.36.0-1.fc32, gnome-terminal-3.36.0.1-1.fc32, gnome-tetravex-3.36.0-1.fc32, gobject-introspection-1.64.0-1.fc32, gpaste-3.36.0-1.fc32, gsettings-desktop-schemas-3.36.0-1.fc32, gtksourceview4-4.6.0-1.fc32, gvfs-1.44.0-1.fc32, hitori-3.36.0-1.fc32, iagno-3.36.0-1.fc32, ibus-1.5.22-4.fc32, java-atk-wrapper-0.38.0-1.fc32, libdazzle-3.36.0-1.fc32, libgnome-games-support-1.6.0.1-1.fc32, libgweather-3.36.0-1.fc32, libical-3.0.8-1.fc32, libpeas-1.26.0-1.fc32, librsvg2-2.48.0-1.fc32, libsecret-0.20.2-1.fc32, libsoup-2.70.0-1.fc32, lightsoff-3.36.0-1.fc32, mutter-3.36.0-1.fc32, nautilus-3.36.0-1.fc32, orca-3.36.1-1.fc32, polari-3.36.0-1.fc32, pyatspi-2.36.0-1.fc32, pygobject3-3.36.0-2.fc32, quadrapassel-3.36.00-1.fc32, seahorse-3.36-1.fc32, shotwell-0.31.1-1.fc32, simple-scan-3.36.0-1.fc32, sysprof-3.36.0-1.fc32, tali-3.36.0-1.fc32, tepl-4.4.0-1.fc32, totem-pl-parser-3.26.5-1.fc32, tracker-2.3.4-1.fc32, tracker-miners-2.3.3-1.fc32, vala-0.48.1-1.fc32, vte291-0.60.0-1.fc32, yelp-3.36.0-1.fc32, yelp-xsl-3.36.0-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ed092680cc

Comment 6 Fedora Update System 2020-03-13 19:36:53 UTC
accerciser-3.36.0-1.fc32, adwaita-icon-theme-3.36.0-1.fc32, at-spi2-core-2.36.0-1.fc32, bijiben-3.36.0-1.fc32, clutter-1.26.4-1.fc32, cogl-1.22.6-1.fc32, dconf-0.36.0-1.fc32, dconf-editor-3.36.0-1.fc32, devhelp-3.36.0-1.fc32, eog-3.36.0-1.fc32, epiphany-3.36.0-1.fc32, evince-3.36.0-1.fc32, evolution-3.36.0-1.fc32, evolution-data-server-3.36.0-1.fc32, evolution-ews-3.36.0-1.fc32, evolution-mapi-3.36.0-1.fc32, file-roller-3.36.0-1.fc32, folks-0.14.0-1.fc32, four-in-a-row-3.36.0-1.fc32, gcr-3.36.0-1.fc32, gedit-3.36.0-1.fc32, gedit-plugins-3.36.1-1.fc32, geocode-glib-3.26.2-1.fc32, gjs-1.64.0-1.fc32, glib-networking-2.64.0-1.fc32, glib2-2.64.1-1.fc32, gnome-2048-3.36.0-1.fc32, gnome-backgrounds-3.36.0-1.fc32, gnome-bluetooth-3.34.1-1.fc32, gnome-boxes-3.36.0-1.fc32, gnome-builder-3.36.0-1.fc32, gnome-calculator-3.36.0-1.fc32, gnome-calendar-3.36.0-1.fc32, gnome-characters-3.34.0-2.fc32, gnome-chess-3.36.0-1.fc32, gnome-clocks-3.36.0-1.fc32, gnome-contacts-3.36-1.fc32, gnome-control-center-3.36.0-1.fc32, gnome-desktop3-3.36.0-1.fc32, gnome-disk-utility-3.36.0-1.fc32, gnome-initial-setup-3.36.0-1.fc32, gnome-keyring-3.36.0-1.fc32, gnome-klotski-3.36.0-1.fc32, gnome-mahjongg-3.36.1-1.fc32, gnome-maps-3.36.0-1.fc32, gnome-menus-3.36.0-1.fc32, gnome-mines-3.36.0-1.fc32, gnome-music-3.36.0-1.fc32, gnome-nibbles-3.36.0-1.fc32, gnome-online-accounts-3.36.0-1.fc32, gnome-robots-3.36.0-1.fc32, gnome-screenshot-3.36.0-1.fc32, gnome-session-3.36.0-1.fc32, gnome-settings-daemon-3.36.0-1.fc32, gnome-shell-3.36.0-3.fc32, gnome-shell-extension-background-logo-3.36.0-1.fc32, gnome-shell-extensions-3.36.0-1.fc32, gnome-software-3.36.0-1.fc32, gnome-sudoku-3.36.0-1.fc32, gnome-system-monitor-3.36.0-1.fc32, gnome-taquin-3.36.0-1.fc32, gnome-terminal-3.36.0.1-1.fc32, gnome-tetravex-3.36.0-1.fc32, gobject-introspection-1.64.0-1.fc32, gpaste-3.36.0-1.fc32, gsettings-desktop-schemas-3.36.0-1.fc32, gtksourceview4-4.6.0-1.fc32, gvfs-1.44.0-1.fc32, hitori-3.36.0-1.fc32, iagno-3.36.0-1.fc32, ibus-1.5.22-4.fc32, java-atk-wrapper-0.38.0-1.fc32, libdazzle-3.36.0-1.fc32, libgnome-games-support-1.6.0.1-1.fc32, libgweather-3.36.0-1.fc32, libical-3.0.8-1.fc32, libpeas-1.26.0-1.fc32, librsvg2-2.48.0-1.fc32, libsecret-0.20.2-1.fc32, libsoup-2.70.0-1.fc32, lightsoff-3.36.0-1.fc32, mutter-3.36.0-1.fc32, nautilus-3.36.0-1.fc32, orca-3.36.1-1.fc32, polari-3.36.0-1.fc32, pyatspi-2.36.0-1.fc32, pygobject3-3.36.0-2.fc32, quadrapassel-3.36.00-1.fc32, seahorse-3.36-1.fc32, shotwell-0.31.1-1.fc32, simple-scan-3.36.0-1.fc32, sysprof-3.36.0-1.fc32, tali-3.36.0-1.fc32, tepl-4.4.0-1.fc32, totem-pl-parser-3.26.5-1.fc32, tracker-2.3.4-1.fc32, tracker-miners-2.3.3-1.fc32, vala-0.48.1-1.fc32, vte291-0.60.0-1.fc32, yelp-3.36.0-1.fc32, yelp-xsl-3.36.0-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.